post
https://partner.gupshup.io/partner/bizgate/app//payment/configuration/regenerate
Generates a fresh onboarding or setup link for an existing payment configuration, invalidating any previously issued link.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| configuration_name | Name of the payment configuration to act on. | payment_config_1 | — | Required |
| redirect_url | URL the payer is returned to after payment. Required when regenerating a link, ignored when removing a configuration. | https://merchant.com/callback | — | Optional |
Sample cURL — Regenerate payment configuration link.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/payment/configuration/regenerate' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"configuration_name" : "payment_config_1",
"redirect_url" : "https://merchant.com/callback"
}'Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…